<?php

/**
 * $Revision: $
 * $Author: $
 * $Date: $
 * $Id: $
 * @file      tropaycode_overview.php 
 * @link      http://www.tro.net
 * @copyright (C) tronet GmbH 2013
 * @package   modules
 * @addtogroup controllers
 * @extend order_overview
 */

/**
 * Admin order overview manager.
 * Collects order overview information, updates it on user submit, etc.
 * Admin Menu: Orders -> Display Orders -> Overview.
 *
 */
class tropaycode_overview extends tropaycode_overview_parent {

    /**
     * returns current paymentstatus from DB-table trogatewaylog
     *
     * @return mixed
     */
    public function troGetPaymentStatus() {
        
        
        $sOxId = $this->getEditObjectId();
        $oOrder = oxNew('oxorder');
        if ($oOrder->load($sOxId)) {
            $oDB = oxDB::getDB(oxDb::FETCH_MODE_ASSOC);
            $sSelect = "select status from tropaycodelog where TROOXIDORDER='" . $sOxId . "' order by timestamp DESC LIMIT 1";
            $ret = $oDB->getOne($sSelect);
            
            // if status is refunded, get the date as well
            if ($ret == 'refunded') {
                $sSelectWithDate = "SELECT timestamp FROM tropaycodelog WHERE TROOXIDORDER='" . $sOxId . "' AND status = 'received' order by timestamp DESC LIMIT 1";
                $retDate = $oDB->getOne($sSelectWithDate);
            }
            
            if ($ret) {
                if($retDate) {
                    $ret = $ret . " [$retDate] ";
                    return $ret;
                }
                return $ret;
            }
        };

        return false;
    }

}
