<?php

/**
 * $Revision: $
 * $Author: $
 * $Date: $
 * $Id: $
 * @file      tropaycodeevents.php 
 * @link      http://www.tro.net
 * @copyright (C) tronet GmbH 2013
 * @package   modules
 * @addtogroup core
 * @extend oxView
 */
class tropaycodeevents extends oxview {

    /**
     * Creates the log-table for SOFORT Paycode
     * 
     * @return null 
     */
    public static function onActivate() {
        tropaycodeevents::handlePaycodeLog();
    }

    public static function handlePaycodeLog() {
        oxdb::getDb()->execute("CREATE TABLE IF NOT EXISTS `tropaycodelog` (
    `OXID` varchar(32) collate latin1_general_ci NOT NULL,
    `TROOXIDORDER` varchar(32) collate latin1_general_ci NOT NULL,
    `PAYCODE` varchar(255) collate latin1_general_ci NOT NULL,
    `TRANSACTION` varchar(255) collate latin1_general_ci NOT NULL,
    `STATUS` varchar(255) collate latin1_general_ci NOT NULL,
    `STATUSREASON` varchar(255) collate latin1_general_ci NOT NULL,
    `TIMESTAMP` timestamp NOT NULL default CURRENT_TIMESTAMP,
    PRIMARY KEY  (`OXID`)
    ) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;");

        oxdb::getDb()->execute("CREATE TABLE IF NOT EXISTS `tropaycodesorder` (
    `OXID` varchar(32) collate latin1_general_ci NOT NULL,
    `ordernum` varchar(32) collate latin1_general_ci NOT NULL,
    `paycode` varchar(255) collate latin1_general_ci NOT NULL,
    `TIMESTAMP` timestamp NOT NULL default CURRENT_TIMESTAMP,
    PRIMARY KEY  (`OXID`)
    ) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;");
    }

}
