<?php

/**
 * $Revision: $
 * $Author: $
 * $Date: $
 * $Id: $
 * @file      metadata.php 
 * @link      http://www.tro.net
 * @copyright (C) tronet GmbH 2013
 * @package   modules
 * @addtogroup modules
 * @extend oxI18n
 */
/**
 * Module information
 */
$aModule = array(
    'id' => 'tropaycode',
    'title' => '<img height="10px" style="margin-top:3px;" src="../modules/tronet/tropaycode/tronet.gif" /> SOFORT &Uuml;berweisung Paycode',
    'description' => array(
        'de' => 'SOFORT &Uuml;berweisung Paycode',
        'en' => 'SOFORT &Uuml;berweisung Paycode',
    ),
    'thumbnail' => 'logo_sofort.png',
    'version' => '1.0',
    'author' => 'tronet',
    'email' => 'integration@sofort.com',
    'url' => 'http://www.tro.net',
    'settings' => array(
        array('group' => 'main', 'name' => 'sTroPaycodeConfigKey', 'type' => 'str', 'position' => 1, 'value' => ''),
        array('group' => 'main', 'name' => 'sTroPaycodeTextBefore', 'type' => 'str', 'position' => 2, 'value' => 'Nachfolgendem Paycode folgen'),
        array('group' => 'main', 'name' => 'sTroPaycodeTextAfter', 'type' => 'str', 'position' => 3, 'value' => 'Kurz, schnell, einfach'),
        array('group' => 'main', 'name' => 'sTroPaycodeReason', 'type' => 'str',  'value' => 'Bestellnr. [BSTNR]'),
    ),
    'extend' => array(
        'oxemail' => 'tronet/tropaycode/application/components/tropaycode_email',
        'oxorder' => 'tronet/tropaycode/application/models/tropaycodeoxorder',
        'order_overview' => 'tronet/tropaycode/application/controllers/admin/tropaycode_overview'
    ),
    'templates' => array(
        'tropaycodethankyou.tpl' => 'tronet/tropaycode/application/views/tpl/tropaycodethankyou.tpl',
         'tropaycode_menuorder.tpl' => 'tronet/tropaycode/application/views/admin/tpl/tropaycode_menuorder.tpl'
    ),
    'blocks' => array(
        array('template' => 'email/html/order_cust.tpl', 'block' => 'email_html_order_cust_paymentinfo_top', 'file' => 'tropaycode_mail.tpl'),
        array('template' => 'order_overview.tpl', 'block' => 'admin_order_overview_checkout', 'file' => 'tropaycode_order_payment.tpl'),
    ),
    'files' => array(
        'tropaycodeevents' => 'tronet/tropaycode/core/tropaycodeevents.php',
        'tropaycode' => 'tronet/tropaycode/core/tropaycode.php',
        'tropaycodelog' => 'tronet/tropaycode/application/models/tropaycodelog.php',
        'tropaycodesorder' => 'tronet/tropaycode/application/models/tropaycodesorder.php',
        'trohelper' => 'tronet/tropaycode/core/trohelper.php',
        'tropaycode_menuorder' => 'tronet/tropaycode/application/controllers/admin/tropaycode_menuorder.php',
    ),
    'events' => array(
        'onActivate' => 'tropaycodeevents::onActivate',
    ),
);
